For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create Cluster

Creates a new Cluster. The full Cluster needs to be provided to create the object. Optional data will be filled with defaults or left empty.

post
/clusters
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Body
metadataanyOptional

Metadata

Responses
201

Cluster successfully created.

application/json
idstring · uuidRequired

The ID (UUID) of the Cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Cluster.

Example: /clusters/e69b22a5-8fee-56b1-b6fb-4a07e4205ead
post/clusters
POST /clusters HTTP/1.1
Host: nfs.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 213

{
  "metadata": {},
  "properties": {
    "name": "Cluster 1",
    "connections": [
      {
        "datacenterId": "123e4567-e89b-12d3-a456-426614174001",
        "lan": "1",
        "ipAddress": "10.254.64.1/24"
      }
    ],
    "nfs": {
      "minVersion": "4.2"
    },
    "size": 5,
    "sizeUnit": "TiB"
  }
}
{
  "id": "e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
  "type": "cluster",
  "href": "/clusters/e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "status": "AVAILABLE",
    "statusMessage": null,
    "used": 134217728
  },
  "properties": {
    "name": "Cluster 1",
    "connections": [
      {
        "datacenterId": "123e4567-e89b-12d3-a456-426614174001",
        "lan": "1",
        "ipAddress": "10.254.64.1/24"
      }
    ],
    "nfs": {
      "minVersion": "4.2"
    },
    "size": 5,
    "sizeUnit": "TiB"
  }
}

Last updated

Was this helpful?